;============================================================================;
;                                 globals.h                                  ;

  ;=========;
  ; 89 part ;
  ;=========;

 ifd ti89

calculator                             equ 0

menu_title\width                       equ 32

alpha_bit                              equ 3
diamond_bit                            equ 2
second_bit                             equ 0
shift_bit                              equ 1

alpha_value                            equ 8
diamond_value                          equ 4
second_value                           equ 1
shift_value                            equ 2

select_bit                             equ shift_bit
select_value                           equ shift_value
select_shortcut                        equ 27

lcd_height                             equ 100
lcd_width                              equ 160

menu_font                              equ 0
window_font                            equ 0

left_button\offset                     equ 6
right_button\offset                    equ 63

F1\offset                              equ 10
F2\offset                              equ 36
F3\offset                              equ 68
F4\offset                              equ 101
F5\offset                              equ 136

f1\x                                   equ 0
f1\y                                   equ 8
f1\w                                   equ 65
f1\h                                   equ 66
f1\n                                   equ 8

f2\x                                   equ 32
f2\y                                   equ 8
f2\w                                   equ 65
f2\h                                   equ 45
f2\n                                   equ 5

f3\x                                   equ 64
f3\y                                   equ 8
f3\w                                   equ 70
f3\h                                   equ 52
f3\n                                   equ 6

f4\x                                   equ 96
f4\y                                   equ 8
f4\w                                   equ 63
f4\h                                   equ 24
f4\n                                   equ 2

f5\x                                   equ 118
f5\y                                   equ 8
f5\w                                   equ 41
f5\h                                   equ 17
f5\n                                   equ 1

about_window\width                     equ 110
about_window\height                    equ 50
about_window\sprite\x                  equ 57
about_window\sprite\y                  equ 39
about_window\version\x                 equ 55
about_window\version\y                 equ 54
about_window\date\x                    equ 61
about_window\date\y                    equ 61
about_window\authors\x                 equ 53
about_window\authors\y                 equ 68

copy_window\width                      equ 125
copy_window\height                     equ 38
copy_window\dy                         equ 7
copy_window\confirm\x                  equ 24
copy_window\confirm\y                  equ 45

create_folder_window\width             equ 125
create_folder_window\height            equ 35
create_folder_window\new_name\x        equ 24
create_folder_window\new_name\y        equ 48
create_folder_window\input_name\x      equ 54
create_folder_window\input_name\y      equ 46

delete_window\width                    equ 125
delete_window\height                   equ 34
delete_window\confirm\x                equ 24
delete_window\confirm\y                equ 49

get_pass_window\top_left_x             equ 11
get_pass_window\top_left_y             equ 32
get_pass_window\bottom_right_x         equ 149
get_pass_window\bottom_right_y         equ 67
get_pass_window\enter_pass\x           equ 18
get_pass_window\enter_pass\y           equ 48
get_pass_window\input_pass\x           equ 78
get_pass_window\input_pass\y           equ 46

keyboard\port_delay                    equ 70
keyboard\number_rows                   equ 6
keyboard\all_rows_mask                 equ $FF80

keys_window\width                      equ 122
keys_window\height                     equ 56
keys_window\y                          equ 36
keys_window\shortcut\x                 equ 26
keys_window\dy                         equ 7
keys_window\description\x              equ 49

move_window\width                      equ 125
move_window\height                     equ 38
move_window\dy                         equ 7
move_window\confirm\x                  equ 24
move_window\confirm\y                  equ 45

rename_window\width                    equ 125
rename_window\height                   equ 35
rename_window\new_name\x               equ 24
rename_window\new_name\y               equ 48
rename_window\input_name\x             equ 66
rename_window\input_name\y             equ 46

required_libs_window\width             equ 100
required_libs_window\height            equ 49
required_libs_window\libs\x            equ 38
required_libs_window\libs\y            equ 39
required_libs_window\libs\dy           equ 7

ressources_window\width                equ 108
ressources_window\height               equ 42
ressources_window\batt\x               equ 83
ressources_window\item\x               equ 33
ressources_window\item\y               equ 43
ressources_window\item\dy              equ 7
ressources_window\value\x              equ 78

setup_window\n                         equ 4
setup_window\x                         equ 30
setup_window\y                         equ 28
setup_window\width                     equ 62
setup_window\height                    equ 38
setup\shell_bolt\status\x\no           equ 73
setup\shell_bolt\status\x\yes          equ 74
setup\shell_bolt\status\y              equ 59

set_editors_window\width               equ 125
set_editors_window\height              equ 55
set_editors_window\item\dy             equ 10
set_editors_window\item_name\x         equ 24
set_editors_window\item_name\y         equ 38
set_editors_window\item_input\x        equ 73
set_editors_window\item_input\y        equ 36

set_apd_window\width                   equ 138
set_apd_window\height                  equ 53
set_apd_window\bar\x                   equ 20
set_apd_window\bar\y                   equ 52
set_apd_window\set_apd_to\x            equ 21
set_apd_window\set_apd_to\y            equ 38
set_apd_window\second\x                equ 61
set_apd_window\second\y                equ 38

set_pass_window\width                  equ 155
set_pass_window\height                 equ 45
set_pass_window\new_pass\x             equ 9
set_pass_window\new_pass\y             equ 43
set_pass_window\new_input\x            equ 85
set_pass_window\new_input\y            equ 41
set_pass_window\confirm_pass\x         equ 9
set_pass_window\confirm_pass\y         equ 53
set_pass_window\confirm_input\x        equ 85
set_pass_window\confirm_input\y        equ 51

indicators\x                           equ 139
indicators\y                           equ 93

initial_indicators_mask                equ $FF
initial_indicators_value               equ alpha_value
input_string\initial_indicators_value  equ alpha_value

draw\y                                 equ 10
clear\y                                equ draw\y-1
number_drawed                          equ 9           ; zeroed
draw\height                            equ (number_drawed+1)*8
clear\height                           equ draw\height+1

split_line\x                           equ 58
split_line\y                           equ 9
split_line\height                      equ 90

status_line\x                          equ 2
status_line\y                          equ 93
status_line\width                      equ 137
status_line\height                     equ 4

 endc

  ;==========;
  ; 92+ part ;
  ;==========;

 ifd ti92plus

calculator                             equ 1

menu_title\width                       equ 48

diamond_bit                            equ 1
hand_bit                               equ 3
second_bit                             equ 0
shift_bit                              equ 2

diamond_value                          equ 2
hand_value                             equ 8
second_value                           equ 1
shift_value                            equ 4

select_bit                             equ hand_bit
select_value                           equ hand_value
select_shortcut                        equ 64

lcd_height                             equ 128
lcd_width                              equ 240

menu_font                              equ 0
window_font                            equ 1

left_button\offset                     equ 6
right_button\offset                    equ 80

F1\offset                              equ 18
F2\offset                              equ 60
F3\offset                              equ 107
F4\offset                              equ 156
F5\offset                              equ 208

f1\x                                   equ 0
f1\y                                   equ 8
f1\w                                   equ 71
f1\h                                   equ 66
f1\n                                   equ 8

f2\x                                   equ 48
f2\y                                   equ 8
f2\w                                   equ 73
f2\h                                   equ 45
f2\n                                   equ 5

f3\x                                   equ 96
f3\y                                   equ 8
f3\w                                   equ 70
f3\h                                   equ 52
f3\n                                   equ 6

f4\x                                   equ 144
f4\y                                   equ 8
f4\w                                   equ 75
f4\h                                   equ 24
f4\n                                   equ 2

f5\x                                   equ 192
f5\y                                   equ 8
f5\w                                   equ 47
f5\h                                   equ 17
f5\n                                   equ 1

about_window\width                     equ 127
about_window\height                    equ 54
about_window\sprite\x                  equ 99
about_window\sprite\y                  equ 51
about_window\version\x                 equ 76
about_window\version\y                 equ 66
about_window\date\x                    equ 92
about_window\date\y                    equ 74
about_window\authors\x                 equ 77
about_window\authors\y                 equ 82

copy_window\width                      equ 160
copy_window\height                     equ 48
copy_window\dy                         equ 8
copy_window\confirm\x                  equ 49
copy_window\confirm\y                  equ 60

create_folder_window\width             equ 160
create_folder_window\height            equ 40
create_folder_window\new_name\x        equ 49
create_folder_window\new_name\y        equ 60
create_folder_window\input_name\x      equ 104
create_folder_window\input_name\y      equ 58

delete_window\width                    equ 160
delete_window\height                   equ 40
delete_window\confirm\x                equ 49
delete_window\confirm\y                equ 60

keyboard\port_delay                    equ 70
keyboard\number_rows                   equ 9
keyboard\all_rows_mask                 equ $FC00

get_pass_window\top_left_x             equ 29
get_pass_window\top_left_y             equ 44
get_pass_window\bottom_right_x         equ 211
get_pass_window\bottom_right_y         equ 84
get_pass_window\enter_pass\x           equ 37
get_pass_window\enter_pass\y           equ 60
get_pass_window\input_pass\x           equ 139
get_pass_window\input_pass\y           equ 58

keys_window\width                      equ 192
keys_window\height                     equ 63
keys_window\y                          equ 46
keys_window\shortcut\x                 equ 33
keys_window\dy                         equ 8
keys_window\description\x              equ 69

move_window\width                      equ 160
move_window\height                     equ 48
move_window\dy                         equ 8
move_window\confirm\x                  equ 49
move_window\confirm\y                  equ 60

rename_window\width                    equ 160
rename_window\height                   equ 40
rename_window\new_name\x               equ 49
rename_window\new_name\y               equ 60
rename_window\input_name\x             equ 115
rename_window\input_name\y             equ 58

required_libs_window\width             equ 120
required_libs_window\height            equ 56
required_libs_window\libs\x            equ 68
required_libs_window\libs\y            equ 50
required_libs_window\libs\dy           equ 8

ressources_window\width                equ 181
ressources_window\height               equ 47
ressources_window\batt\x               equ 131
ressources_window\item\x               equ 39
ressources_window\item\y               equ 54
ressources_window\item\dy              equ 8
ressources_window\value\x              equ 118

setup_window\n                         equ 4
setup_window\x                         equ 30
setup_window\y                         equ 28
setup_window\width                     equ 62
setup_window\height                    equ 38
setup\shell_bolt\status\x\no           equ 73
setup\shell_bolt\status\x\yes          equ 74
setup\shell_bolt\status\y              equ 59

set_editors_window\width               equ 160
set_editors_window\height              equ 64
set_editors_window\item\dy             equ 12
set_editors_window\item_name\x         equ 49
set_editors_window\item_name\y         equ 48
set_editors_window\item_input\x        equ 134
set_editors_window\item_input\y        equ 46

set_apd_window\width                   equ 162
set_apd_window\height                  equ 56
set_apd_window\bar\x                   equ 60
set_apd_window\bar\y                   equ 66
set_apd_window\set_apd_to\x            equ 47
set_apd_window\set_apd_to\y            equ 51
set_apd_window\second\x                equ 123
set_apd_window\second\y                equ 51

set_pass_window\width                  equ 200
set_pass_window\height                 equ 52
set_pass_window\new_pass\x             equ 26
set_pass_window\new_pass\y             equ 54
set_pass_window\new_input\x            equ 151
set_pass_window\new_input\y            equ 52
set_pass_window\confirm_pass\x         equ 26
set_pass_window\confirm_pass\y         equ 66
set_pass_window\confirm_input\x        equ 151
set_pass_window\confirm_input\y        equ 64

indicators\x                           equ 225
indicators\y                           equ 121

initial_indicators_mask                equ $FF-select_value
initial_indicators_value               equ 0
input_string\initial_indicators_value  equ 0

draw\y                                 equ 12
clear\y                                equ draw\y-3
number_drawed                          equ 12          ; zeroed
draw\height                            equ (number_drawed+1)*8
clear\height                           equ draw\height+5

split_line\x                           equ 58
split_line\y                           equ 9
split_line\height                      equ 118

status_line\x                          equ 2
status_line\y                          equ 121
status_line\width                      equ 217
status_line\height                     equ 4

 endc

;                                 globals.h                                  ;
;============================================================================;