setup

;         pea        string\setup(pc)
;         move.w     #%0001000000000100,-(a7)         ; title and save screen.
;         pea        setup_window\size(pc)
;         pea        dialog_window(pc)
;         jsr        tios::WinOpen
;     ;tst.b     d0
;     ;beq	   error                <--- NE PAS OUBLIER
;         jsr	    tios::WinActivate
;         bsr pause
;         lea        14(a7),a7
;         bsr        dialog_window\clear
;setup_window\size                  dc.w       setup_window\top_left_x
;                                   dc.w       setup_window\top_left_y
;                                   dc.w       setup_window\bottom_right_x
;                                   dc.w       setup_window\bottom_right_y


         bsr        save_all_screen
         move.b     #5,menu\number
         bsr        menu\set_parameters
         move.b     (a5),d0                 ; menu X
         move.b     1(a5),d1                ; menu Y
         sub.b      #10,d1
         move.b     2(a5),d2                ; menu width
         moveq.w    #10,d3
         moveq.w    #1,d4
         jsr        graphlib::fill
         move.w     d2,d4
         move.w     d3,d5
	 jsr        graphlib::frame
         addq.b     #8,d1
         moveq.w    #2,d5
	 jsr        graphlib::frame
         lea        string\setup(pc),a0
         add.b      #20,d0
         subq.b     #6,d1
         clr.b      d3
         bsr        draw_string_a0
setup\show_text
         bsr        menu\show_2
         pea        setup\loop(pc)
         move.w     #4,-(a7)
         bchg.b     #0,shell_bolt_flag
         bra        setup\shell_bolt\first_draw

setup\loop
         bsr        pause
         pea        setup\loop(pc)
         cmp.w      #338,d6
         beq.s      setup\loop\up
         cmp.w      #4434,d6
         beq.s      setup\loop\up\second
         cmp.w      #8530,d6
         beq.s      setup\loop\up\diamond
         cmp.w      #344,d6
         beq.s      setup\loop\down
         cmp.w      #4440,d6
         beq.s      setup\loop\down\second
         cmp.w      #8536,d6
         beq.s      setup\loop\down\diamond
         cmp.w      #337,d6
         beq.s      setup\loop\right
         cmp.w      #340,d6
         beq.s      setup\loop\left
         cmp.w      #264,d6
         beq.s      setup_loop\esc
         cmp.w      #13,d6
         beq.s      setup_loop\enter
         rts

setup\loop\right
         cmp.b      #4,menu\item
         beq.s      setup\shell_bolt
         rts

setup\loop\left
         cmp.b      #4,menu\item
         beq.s      setup\shell_bolt
         rts

setup\loop\up
         bra        menu\move\up
setup\loop\up\second
setup\loop\up\diamond
         bra        menu\move\go_to_top
setup\loop\down
         bra        menu\move\down
setup\loop\down\second
setup\loop\down\diamond
         bra        menu\move\go_to_bottom

setup_loop\enter
         cmp.b      #2,menu\item
         beq.s      setup\set_editors
         cmp.b      #4,menu\item
         beq.s      setup\shell_bolt
         rts

setup_loop\esc
         addq.l     #4,a7
         bra        menu\clear

setup\shell_bolt
         clr.w     -(a7)
setup\shell_bolt\first_draw
         lea        string,a0
         move.l     a0,-(a7)

         move.w     #menu_font,-(a7)
         jsr        tios::FontSetSys
         addq.l     #2,a7

         move.w     #setup\shell_bolt\status\y,-(a7)
         move.w     #setup\shell_bolt\status\x\no,-(a7)
         move.l     #' NO ',(a0)
         clr.b      4(a0)
         bchg.b     #0,shell_bolt_flag
         bne.s      setup\shell_bolt\exit
         move.w     #setup\shell_bolt\status\x\yes,(a7)
         move.l     #'YES'*256,(a0)

setup\shell_bolt\exit
         jsr        tios::DrawStrXY

         move.w     #1,-(a7)
         jsr        tios::FontSetSys

         lea        12(a7),a7
         rts

setup\set_editors
         addq.l     #4,a7
         bsr        menu\clear

         lea        string\set_viewers(pc),a0
         clr.b      11(a0)
         move.w     #set_editors_window\width,d4
         moveq.w    #set_editors_window\height,d5
         moveq.w    #2,d6
         moveq.w    #4,d7
         bsr        dialog_window\open
         lea        string\set_viewers(pc),a0
         move.b     #160,11(a0)

         lea        string\text_viewer_name(pc),a0
         moveq.w    #set_editors_window\item_name\x,d0
         moveq.w    #set_editors_window\item_name\y,d1
         moveq.w    #window_font,d3
         bsr        draw_string_a0

         lea        string\pic_viewer_name(pc),a0
         add.b      #set_editors_window\item\dy,d1
         bsr        draw_string_a0

         lea        string\pv_viewer_name(pc),a0
         add.b      #set_editors_window\item\dy,d1
         bsr        draw_string_a0

         move.w     #set_editors_window\item_input\x,d0
         moveq.w    #set_editors_window\item_input\y+window_font*2+10,d1
         moveq.w    #51,d4
         moveq.w    #window_font*2+8,d5
         jsr        graphlib::frame

         add.b      #window_font*2+10,d1
         jsr        graphlib::frame

         addq.b     #1,d0
         addq.b     #2,d1
         lea        string\pv_viewer(pc),a0
         bsr        draw_string_a0

         lea        string\pic_viewer(pc),a0
         sub.b      #set_editors_window\item\dy,d1
         bsr        draw_string_a0

         sub.l      #30,a7
         lea        string\viewers(pc),a0
         move.l     (a0)+,(a7)
         move.l     (a0)+,4(a7)
         move.l     (a0)+,8(a7)
         move.l     (a0)+,12(a7)
         move.l     (a0)+,16(a7)
         move.l     (a0)+,20(a7)
         move.l     (a0)+,24(a7)
         move.w     (a0)+,28(a7)

         clr.b      d4

setup\set_editors\loop
         clr.l      d0
         move.b     d4,d0
         mulu       #10,d0
         lea        0(a7,d0.l),a0
         move.l     a0,a1
         move.w     #set_editors_window\item_input\x,d0
         move.b     d4,d1
         mulu       #set_editors_window\item\dy,d1
         add.w      #set_editors_window\item_input\y,d1
         moveq.w    #8,d2
         moveq.b    #3,d3
         bsr        input_string

         move.l     (a0)+,(a1)+
         move.l     (a0)+,(a1)+

         cmp.w      #13,d6
         beq.s      setup\set_editors\enter
         cmp.w      #264,d6
         beq.s      setup\set_editors\exit

         cmp.w      #338,d6
         bne.s      setup\set_editors\move_down

setup\set_editors\move_up
         tst.b      d4
         seq.b      d0
         and.b      #3,d0
         add.b      d0,d4
         subq.b     #1,d4
         bra.s      setup\set_editors\loop

setup\set_editors\move_down
         addq.b     #1,d4
         cmp.b      #3,d4
         sne.b      d0
         and.b      d0,d4
         bra.s      setup\set_editors\loop

setup\set_editors\enter
         lea        string\viewers(pc),a0
         move.l     (a7),(a0)+
         move.l     4(a7),(a0)+
         move.l     8(a7),(a0)+
         move.l     12(a7),(a0)+
         move.l     16(a7),(a0)+
         move.l     20(a7),(a0)+
         move.l     24(a7),(a0)+
         move.w     28(a7),(a0)+

setup\set_editors\exit
         add.l      #30,a7
         bra        dialog_window\clear
